Jump to content
JasperReports 7.0 is now available ×

No fonts on system


victor.s.gavrila

Recommended Posts

Hi,

I'm trying to generate a pdf on a system (container )where are no fonts.

I have a font jar with the font.xml with the font family description, the ttf fonts and the jasperreports_extension.properties file :

net.sf.jasperreports.extension.registry.factory.fonts=net.sf.jasperreports.engine.fonts.SimpleFontExtensionsRegistryFactorynet.sf.jasperreports.extension.simple.font.families.xxx=jasperreports/font/xxx.xml

Locally, everything works fine, but when I deploy on a different server I get this error:

net.sf.jasperreports.engine.JRRuntimeException: Error initializing graphic environment. at net.sf.jasperreports.engine.util.JRGraphEnvInitializer.initializeGraphEnv(JRGraphEnvInitializer.java:63)

Any thoughts?

Link to comment
Share on other sites

  • Replies 9
  • Created
  • Last Reply

Top Posters In This Topic

Add "jasperreports-fonts-6.0.0.jar" file in your class path. it will work 

update the required Font file in jasperreports-fonts-6.0.0.jar and add Entry in  "jasperreports_extension.properties"

also add entry in fonts.xml . 

 

erstart the server . issue will be solved

Link to comment
Share on other sites

After some refactoring and testing, I found that the problem was caused by a NPE in the sun.awt.FontConfiguration class. It seems that the font library is looking for libfontconfig1 or the fontconfig.properties file.

The easiest solution was to replace the JDK version in that container from openjdk-8-alpine (which doesn't add the font libraries) with the default debian openjdk-8 version

Link to comment
Share on other sites

Can you share the latest Jar file related to Fonts,

basically we need pdf file should work without updating Font package in Acrobat Reader DC. 

 

currently we packed "jasperreports-fonts-6.0.0.jar"  with required chinese Fonts (EUDC, Simsun) and deployed in server. 
upon pdf file generation, its probpting in Acrobat Reader to update Font package. we dont want to update the Reader  

Link to comment
Share on other sites

getting Message when trying to open a pdf: 

A font package is required to correctly display this page. Click "OK" to direct your browser to download the add-on from adobe.com. After installation, you will need to close and re-open the document to correctly view contents dependent on these newly installed fonts.
 

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...